= form_for @user, url: account_notifications_preferences_url, html: { method: :put } do |f|
  = f.fields_for :preferences do |ff|
    = ff.fields_for 'email_notifications' do |fff|
      %table
        %thead
          %tr
            %th
            %th.-text--center= t('.receive_email')
        %tbody
          %tr.-text--color-mute
            %td= fff.label :system_notification, t('.notification.system'), class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :system_notification, user: @user
          %tr
            %th.-pvd{ colspan: 2 }= t('.notification_group.teams')
          %tr
            %td= fff.label :team_mate_invite_notification, t('.notification.team_mate_invite'),
                            class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :team_mate_invite_notification, user: @user
          %tr
            %td= fff.label :team_mate_remove_notification, t('.notification.team_mate_remove'),
                            class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :team_mate_remove_notification, user: @user
          %tr
            %td= fff.label :team_mate_leave_notification, t('.notification.team_mate_leave'),
                            class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :team_mate_leave_notification, user: @user
          %tr
            %td= fff.label :team_mate_refuse_notification, t('.notification.team_mate_refuse'),
                            class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :team_mate_refuse_notification, user: @user
          %tr
            %th.-pvd{ colspan: 2 }= t('.notification_group.other')
          %tr
            %td= fff.label :new_comment_notification, t('.notification.new_comment'),
                            class: '-text--default-size'
            %td.-text--center= notification_preference_check_box fff, type: :new_comment_notification, user: @user

  .rui-actions.-mtd
    = f.submit t('generic.save'), class: 'rui-button rui-button--recording'
